/***************************************************************************
****************************************************************************

This is a part of the xModule Source code.

Copyright (C) 2003-2009 The LS-Universe Team

  Homepage: http://www.ls-universe.info

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

****************************************************************************
****************************************************************************/

#if !defined(AFX_PAINTTOOLTIP_H__7D2D8190_27A7_43B8_95E2_C3C7050DB9D4__INCLUDED_)
#define AFX_PAINTTOOLTIP_H__7D2D8190_27A7_43B8_95E2_C3C7050DB9D4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class PaintTooltip  
{
public:
    PaintTooltip(HWND hWndParent, HINSTANCE hInstanceParent);
    virtual ~PaintTooltip();

    XPAINTCLASS_API HWND configure(LPCSTR pszName, LPCSTR pszPrefix);
    
    XPAINTCLASS_API void apply(LPCSTR strTooltipText, BOOL bUpdateSize = FALSE);

private:

    //*****************************************************************
    // Internal Variables
    //*****************************************************************
    
    HFONT Font;

    HWND hWndParentWindow;
    HINSTANCE hInstanceParentWindow;
    HWND hWndTooltip;

    //*****************************************************************
    //Add New Member Variables AFTER THIS POINT!!
    //*****************************************************************

public:

    //Update 5
    WNDPROC wpOrigToolTipProc;

    string m_strTooltipLabelName;
    bool m_bTooltipLabelFixed;
    int m_iTooltipLabelTimeout;
    HWND m_hwndTooltipLabel;

};

#endif // !defined(AFX_PAINTTOOLTIP_H__7D2D8190_27A7_43B8_95E2_C3C7050DB9D4__INCLUDED_)
